#!/usr/bin/env python

from math import pi
import re
import sys
import subprocess

def median(x):
    n = len(x)
    if n == 0:
        return -1
    x.sort()
    j = int(n/2.)
    if n % 2 == 0:
      s = 0.5*(x[j]+x[j-1])
    else:
      s = x[j]
    return s

def mean(x):
    n = len(x)
    if n == 0:
        return -1
    s = 0.0
    for i in xrange(0, n):
        s += x[i]
    s /= n
    return s

def main():

    m1 = 14137166941.2  # kg
    rho = 2700.  # kg m^-3
    R1 = (m1/(4./3.*pi*rho))**(1./3.)

    print "R1 = ", R1, " m"

    bins = [0.0, 100., 200., 500., 1000., 2000., 5000., 10000., 100000.]
    bins = []
    for i in xrange(0, 300, 25):
        bins.append(i)
    for i in xrange(300, 2000, 100):
        bins.append(i)

    v = []
    m = []
    R = []

    f = open("mv.dat", "r")
    for line in f.readlines():
        if re.match("^ *#.*", line):
            continue
        l = line.split()
        m.append(float(l[0]))
        v.append(float(l[1]))
        R.append((m[-1]/(4./3.*pi*rho))**(1./3.))

    f = open("mv_bins.out", "w")
    f.write("# Rinf Rsup n   mmea mmed vmea  vmed \n")
    f.write("# [m]  [m]  [1] [kg] [kg] [m/s] [m/s]\n")
    for i in xrange(0, len(bins)-1):

        vtmp = []
        mtmp = []
        for j in xrange(0, len(R)):
            if R[j] >= bins[i] and R[j] < bins[i+1]:
                vtmp.append(v[j])
                mtmp.append(m[j])

        n = len(vtmp)
        vmea = mean(vtmp)
        vmed = median(vtmp)
        mmea = mean(mtmp)
        mmed = median(mtmp)

        f.write("%f %f  %d  %f %f  %f %f\n" % (bins[i], bins[i+1], n, mmea, mmed, vmea, vmed))

    f.close()

    subprocess.check_output("./mv.plt", shell=True)

if __name__ == "__main__":
    main()

