#!/usr/bin/gnuplot

rho0 = 2700.  # kg m^-3
r(m) = (m/(4./3.*pi*rho0))**(1./3.)

v(r) = 0.70*(r/650.)**(-0.7)

set xl "r [m]"
set yl "v [m s^-1]"

set xr [100:2000]
set zeroaxis
set logscale x
set logscale y
set samples 1000

p \
  "mv.dat" u (r($1)):2,\
  "mv_bins.out" u (r($4)):6 w lp ps 2 lw 2,\
  v(x) w l

pa -1

set term png small
set out "rv.png"
rep

