#!/usr/bin/gnuplot

km = 1.e3
au = 1.49597870691e13*1e-2
twopiau_yr = 2.97853e+06*1.e-2
M_S = 1.989e30  # kg

D = 10.*km
rho = 2700.
m = 4./3.*pi*(D/2.)**3*rho
r_H = 2.5*au*(m/(3.*M_S))**(1./3.)

print "r_H = ", r_H/km, " km"

r(m) = (m/(4./3.*pi*rho))**(1./3.)

########################################################################

set xl "{/Helvetica-Oblique x} [km]"
set yl "{/Helvetica-Oblique y} [km]"
set cbl "{/Helvetica-Oblique D} [m]" offset -0.5,0

tmp=300.
x0=0.0
y0=0.0
set xr [x0-tmp:x0+tmp]
set yr [y0-tmp:y0+tmp]
set zeroaxis
set grid noxtics noytics front
set size ratio -1
set nokey
set parametric

set cbr [1e2:1e4]
set logscale cb
set palette rgbformulae 7,5,15 negative

p \
  "<sort -g -k9 -r baryc_outlier.out | awk '(NR<=2)'" u ($2/km):($3/km):(3.*r($9)/km) w circles lc 'green',\
  "<sort -g -k9 baryc_outlier.out" u ($2/km):($3/km):(r($9)/km):(r($9)) w circles fs solid lc palette z,\

pa -1

set term post eps enh color solid "Helvetica,18" round
set out "xy_FINAL.eps"
set size 0.9,1.0
rep

system("eps2png xy_FINAL.eps")

q

  x0+r_H/km*cos(t),y0+r_H/km*sin(t) w l lc 'gray'


